summaryrefslogtreecommitdiffstats
path: root/source/x/scim/scim.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/scim/scim.SlackBuild')
-rwxr-xr-xsource/x/scim/scim.SlackBuild23
1 files changed, 18 insertions, 5 deletions
diff --git a/source/x/scim/scim.SlackBuild b/source/x/scim/scim.SlackBuild
index 168ae9917..c0c50fb4c 100755
--- a/source/x/scim/scim.SlackBuild
+++ b/source/x/scim/scim.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2006,2007,2008 Eric Hameleers, Eindhoven, NL
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2008, 2009, 2011 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -35,9 +35,17 @@
PRGNAM=scim
VERSION=${VERSION:-1.4.9}
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -56,6 +64,8 @@ elif [ "$ARCH" = "armel" ]; then
LIBDIRSUFFIX=""
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PRGNAM
@@ -65,8 +75,11 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PRGNAM}-${VERSION}
-tar -xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.?z* || exit 1
cd ${PRGNAM}-${VERSION} || exit 1
+
+zcat $CWD/scim-1.4.9-fix-ltdl.cpp.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \